#include "CommandBase.h"

#include <Commands/Scheduler.h>


std::unique_ptr<Drive> CommandBase::drive = std::make_unique<Drive>();
std::unique_ptr<FuelHandler> CommandBase::fuelHandler = std::make_unique<FuelHandler>();
std::unique_ptr<GearPickup> CommandBase::gearPickup = std::make_unique<GearPickup>();
std::unique_ptr<Goat> CommandBase::goat = std::make_unique<Goat>();
std::unique_ptr<Vision> CommandBase::vision = std::make_unique<Vision>();

std::unique_ptr<OI> CommandBase::oi = std::make_unique<OI>();

CommandBase::CommandBase(const std::string &name) : frc::Command(name) {
}

