#include "CmdGearPlace.h"

CmdGearPlace::CmdGearPlace(int timeout, bool* cancel) {
	m_cancel = cancel;
	m_timeout = timeout;
}

void CmdGearPlace::Initialize() {
	if (m_cancel != nullptr && *m_cancel == true) return;
	gearPickup->SetGearPosition(true);
	gearPickup->SetRollerMode(GearPickup::rmPlace);
	drive->SetDriveMode(Drive::dmGearPlace, m_timeout);
}

void CmdGearPlace::Execute() {
}

bool CmdGearPlace::IsFinished() {
	return (drive->GetAutoState() != Drive::asInProgress);
}

void CmdGearPlace::End() {
}

void CmdGearPlace::Interrupted() {
}
