#include "GrpAutoCenter.h"
#include "CmdAutoDrive.h"
#include "CmdGearPlace.h"
#include "CmdAutoRotate.h"
#include "CmdAutoStrafe.h"
#include "CmdSetGearArm.h"

GrpAutoCenter::GrpAutoCenter(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new CmdAutoDrive(-75, false, 0.4, 3000, false, false, &m_cancel));
}

bool GrpAutoCenter::IsFinished() {
	if (m_cancel){
		m_cancel = false;
		return true;
	}else{
		return CommandGroup::IsFinished();
	}
}
