#include <Commands/GrpAutoCenterLift.h>
#include "CmdAutoDrive.h"
#include "CmdGearPlace.h"
#include "CmdAutoRotate.h"
#include "CmdAutoStrafe.h"
#include "CmdSetGearArm.h"
#include "CmdFindTarget.h"
#include "..\Subsystems\Drive.h"

GrpAutoCenterLift::GrpAutoCenterLift(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new CmdFindTarget(0, false, &m_cancel));
	AddSequential(new CmdAutoDrive(-85, false, 0.4, 3000, true, true, &m_cancel));	// -75
	AddSequential(new CmdGearPlace(40, &m_cancel));
	AddSequential(new CmdSetGearArm(false));
}

bool GrpAutoCenterLift::IsFinished()
{
	if (m_cancel){
		m_cancel = false;
		return true;
	}else{
		return CommandGroup::IsFinished();
	}
}
