#include "GrpAutoRight.h"
#include "CmdAutoDrive.h"
#include "CmdAutoRotate.h"
#include "CmdGearPlace.h"
#include "CmdSetGearArm.h"

GrpAutoRight::GrpAutoRight(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new CmdAutoDrive(-66, false, 0.4, 3000, false, false, &m_cancel));	//  -76, -66
	AddSequential(new CmdAutoRotate(-60, false, 0.6, 2000, Drive::dwAll, false, &m_cancel));
	AddSequential(new CmdAutoDrive(-52, false, 0.4, 2000, false, false, &m_cancel));
}

bool GrpAutoRight::IsFinished() {
	if (m_cancel){
		m_cancel = false;
		return true;
	}else{
		return CommandGroup::IsFinished();
	}
}
