#include "GrpAutoTenBallShoot.h"

#include "CmdAutoDrive.h"
#include "CmdSetFuelShooter.h"

GrpAutoTenBallShoot::GrpAutoTenBallShoot(bool isBlue) {
	m_cancel = false;
	if(isBlue == true) m_distance = 6;
	else m_distance = 0;

	AddSequential(new CmdAutoDrive(m_distance, false, 0.6, 50, false, false, &m_cancel));
	AddSequential(new CmdSetFuelShooter(true));
}

bool GrpAutoTenBallShoot::IsFinished()
{
	if (m_cancel){
		m_cancel = false;
		return true;
	}else{
		return CommandGroup::IsFinished();
	}
}
