#ifndef CmdAutoDrive_H
#define CmdAutoDrive_H

#include "../CommandBase.h"

class CmdAutoDrive : public CommandBase {
public:
	CmdAutoDrive(double distance, bool useAbsolute, double maxDrive, int msecTimeout, bool useVision,
			     bool ignoreTimeout, bool* cancel = nullptr);
	void Initialize();
	void Execute();
	bool IsFinished();
	void End();
	void Interrupted();

private:
	double 	m_distance;
	bool	m_useAbsolute;
	double	m_maxDrive;
	int		m_msecTimeout;
	bool	m_useVision;
	bool	m_ignoreTimeout;
	bool*	m_cancel;
};

#endif  // CmdAutoDrive_H
