#ifndef CmdAutoStrafe_H
#define CmdAutoStrafe_H

#include "../CommandBase.h"

class CmdAutoStrafe : public CommandBase {
public:
	CmdAutoStrafe(double distance, bool useAbsolute, double maxStrafe, int msecTimeout, bool ignoreTimeout, bool* cancel = nullptr);
	void Initialize();
	void Execute();
	bool IsFinished();
	void End();
	void Interrupted();

private:
	double		m_distance;
	bool		m_useAbsolute;
	double		m_maxStrafe;
	int			m_msecTimeout;
	bool		m_ignoreTimeout;
	bool*		m_cancel;
};

#endif  // CmdAutoStrafe_H
