#ifndef CmdFindTarget_H
#define CmdFindTarget_H

#include "../CommandBase.h"

class CmdFindTarget : public CommandBase {
public:
	CmdFindTarget(double angleBias, bool cancelIfNone, bool* cancel = nullptr);
	void Initialize();
	void Execute();
	bool IsFinished();
	void End();
	void Interrupted();

private:
	double      m_angleBias;
	bool		m_cancelIfNone;
	bool*		m_cancel;
	bool  		m_finished;
};

#endif  // CmdFindTarget_H
