#include "CmdSetAirVent.h"

CmdSetAirVent::CmdSetAirVent(bool openVent) {
	m_openVent   = openVent;
	m_delayCount = 0;
}

// Called just before this Command runs the first time
void CmdSetAirVent::Initialize() {
	if (m_openVent) {
		fuelHandler->SetAgitator(FuelHandler::rsOff);
		gearPickup ->SetGearPosition(true);
		m_delayCount = 50;
	} else{
		fuelHandler->SetAgitator(FuelHandler::rsForward);
		gearPickup ->SetAirVent(false);
	}

}

// Called repeatedly when this Command is scheduled to run
void CmdSetAirVent::Execute() {
	if (m_delayCount > 0) {
		m_delayCount --;
		if (m_delayCount <= 0) gearPickup ->SetAirVent(true);
	}
}

// Make this return true when this Command no longer needs to run execute()
bool CmdSetAirVent::IsFinished() {
	return (m_delayCount <= 0);
}

// Called once after isFinished returns true
void CmdSetAirVent::End() {

}

// Called when another command which requires one or more of the same
// subsystems is scheduled to run
void CmdSetAirVent::Interrupted() {

}
