#ifndef CmdSetDriveMode_H
#define CmdSetDriveMode_H

#include "../CommandBase.h"

class CmdSetDriveMode : public CommandBase {
public:
	CmdSetDriveMode(Drive::DriveMode driveMode, int gearPlaceTimeout = 0);
	void Initialize();
	void Execute();
	bool IsFinished();
	void End();
	void Interrupted();

private:
	Drive::DriveMode m_driveMode;
	int				 m_gearPlaceTimeout;
};

#endif  // CmdSetDriveMode_H
