#include "GrpAutoLeft.h"
#include "CmdAutoDrive.h"
#include "CmdAutoRotate.h"
#include "CmdGearPlace.h"
#include "CmdSetGearArm.h"

GrpAutoLeft::GrpAutoLeft(double wait) {
	m_cancel = false;

	AddSequential(new WaitCommand(wait));
	AddSequential(new CmdAutoDrive(-75, false, 0.4, 3000, false, false, &m_cancel));    // -65
	AddSequential(new CmdAutoRotate(60, false, 0.6, 2000, Drive::dwAll, false, &m_cancel));
	AddSequential(new CmdAutoDrive(-58, false, 0.4, 2000, false, false, &m_cancel));
}

bool GrpAutoLeft::IsFinished() {
	if (m_cancel){
		m_cancel = false;
		return true;
	}else{
		return CommandGroup::IsFinished();
	}
}

